type=armor
items=minecraft:diamond_helmet minecraft:chainmail_helmet minecraft:iron_helmet minecraft:golden_helmet minecraft:leather_helmet
texture.diamond_layer_1=soldier
texture.golden_layer_1=soldier
texture.iron_layer_1=soldier
texture.chainmail_layer_1=soldier
texture.leather_layer_1=soldier
nbt.display.Name=ipattern:*soldier*